Public Class PageAd

    Private m_Title As String           'The title text of the page ad (top line)
    Private m_Text As String            'The body text for the page ad
    Private m_URLLine As String         'The URL line displayed for the adword
    Private m_DestinationURL As String  'The actual real destination URL for the adword
    Private m_Position As Long          'Position (order/rank) number of this adword

    Public Property Title() As String
        Get
            Return m_Title
        End Get
        Set(ByVal value As String)
            m_Title = value
        End Set
    End Property

    Public Property Text() As String
        Get
            Return m_Text
        End Get
        Set(ByVal value As String)
            m_Text = value
        End Set
    End Property

    Public Property URLLine() As String
        Get
            Return m_URLLine
        End Get
        Set(ByVal value As String)
            m_URLLine = value
        End Set
    End Property

    Public Property DestinationURL() As String
        Get
            Return m_DestinationURL
        End Get
        Set(ByVal value As String)
            m_DestinationURL = value
        End Set
    End Property

    Public Property Position() As Long
        Get
            Return m_Position
        End Get
        Set(ByVal value As Long)
            m_Position = value
        End Set
    End Property

End Class
